Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class ChangeNickname

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.ChangeNickname

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class ChangeNickname

extends MUCRoomTask

Task that changes the nickname of an existing room occupant in the cluster node. When a room occupant changes his nickname the other cluster nodes, that hold a `RemoteMUCRole` will need to update their local information with the new nickname.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`ChangeNickname()`
`ChangeNickname(LocalMUCRoom room, String oldNick, String newNick, org.xmpp.packet.Presence presence)`

Method Summary
`String` | `getNewNick()`
`String` | `getOldNick()`
`org.xmpp.packet.Presence` | `getPresence()`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeNickname

    public ChangeNickname()

### ChangeNickname

    public ChangeNickname(LocalMUCRoom room,
                          String oldNick,
                          String newNick,
                          org.xmpp.packet.Presence presence)

Method Detail

### getOldNick

    public String getOldNick()

### getNewNick

    public String getNewNick()

### getPresence

    public org.xmpp.packet.Presence getPresence()

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.